# spec file for package nodejs-nodejs-jju

%global npm_name jju
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:		nodejs-jju
Version:	1.2.1
Release:	1%{?dist}
Summary:	A set of utilities to work with JSON / JSON5 documents
Url:		http://rlidwka.github.io/jju/
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Source1:    https://raw.githubusercontent.com/rlidwka/jju/3c7b890c78a45a3a2ecf69880a63764c4cf1c440/LICENSE
License:	WTFPL

BuildArch:	noarch

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(eslint@0.4.2)
BuildRequires:	npm(js-yaml) >= 3.1.0
BuildRequires:	npm(mocha) >= 1.21.0
%endif

%description
A set of utilities to work with JSON / JSON5 documents

%prep
%setup -q -n package

cp -p %{SOURCE1} .

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
mocha test/*.js
%endif

%files
%{nodejs_sitelib}/jju
%doc README.md
%{!?_licensedir:%global license %%doc}
%license LICENSE 

%changelog
* Tue Nov 24 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.2.1-1
- Initial build

